<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:d="http://iut.u-clermont1.fr/chevaldonne/disques">

  <xsl:output method="html"/>

<xsl:template match="/">
	<xsl:for-each select='//d:artiste'>
		<xsl:apply-templates select="."/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="d:artiste">
	<xsl:variable name="birthDate">
		<xsl:call-template name="getDateDeMachin">
			<xsl:with-param name="machin" select="d:last_name"/>
			<xsl:with-param name="naissance_ou_mort" select="string('naissance')"/>
		</xsl:call-template>
	</xsl:variable>

	<xsl:variable name="deathDate">
		<xsl:call-template name="getDateDeMachin">
			<xsl:with-param name="machin" select="d:last_name"/>
			<xsl:with-param name="naissance_ou_mort" select="string('mort')"/>
		</xsl:call-template>
	</xsl:variable>

	<p>
	<xsl:value-of select="d:first_name"/><xsl:text> </xsl:text>
	<xsl:value-of select="d:last_name"/><xsl:text> (né le : </xsl:text>
	<xsl:call-template name="formatDate">
		<xsl:with-param name="date" select="$birthDate"/>
	</xsl:call-template>
	<xsl:if test="$deathDate != '0'">
		<xsl:text>, mort le : </xsl:text>
		<xsl:call-template name="formatDate">
			<xsl:with-param name="date" select="$deathDate"/>
		</xsl:call-template>
	</xsl:if>
	<xsl:text>)</xsl:text>
	</p>
	
</xsl:template>

<xsl:template name="getDateDeMachin">
	<xsl:param name="machin"/>
	<xsl:param name="naissance_ou_mort"/>
	<xsl:choose>
		<xsl:when test="$naissance_ou_mort = 'naissance'">
			<xsl:value-of select='//d:artiste[d:last_name = $machin]/@d:naissance'/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:choose>
				<xsl:when test="//d:artiste[d:last_name = $machin]/@d:mort">
					<xsl:value-of select='//d:artiste[d:last_name = $machin]/@d:mort'/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select='0'/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="formatDate">
	<xsl:param name="date"/>

	<xsl:value-of select="substring($date, 9, 2)"/>

	<xsl:variable name="mois" select="substring($date, 6, 2)"/>

	<xsl:if test="$mois = '01'">
		<xsl:text> janvier </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '02'">
		<xsl:text> février </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '03'">
		<xsl:text> mars </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '04'">
		<xsl:text> avril </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '05'">
		<xsl:text> mai </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '06'">
		<xsl:text> juin </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '07'">
		<xsl:text> juillet </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '08'">
		<xsl:text> août </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '09'">
		<xsl:text> septembre </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '10'">
		<xsl:text> octobre </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '11'">
		<xsl:text> novembre </xsl:text>
	</xsl:if>
	<xsl:if test="$mois = '12'">
		<xsl:text> décembre </xsl:text>
	</xsl:if>

	<xsl:value-of select="substring($date, 1, 4)"/>
</xsl:template>


</xsl:stylesheet>