<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:d="http://iut.u-clermont1.fr/chevaldonne/disques">

  <xsl:output method="html"/>

<xsl:include href="common.xsl"/>

<xsl:template match="/">
	<xsl:for-each select='//d:disque'>
		<xsl:apply-templates select="."/>
	</xsl:for-each>
</xsl:template>

<xsl:template match="d:disque">
	<xsl:variable name="albumDate">
		<xsl:call-template name="getDateDeSortie">
			<xsl:with-param name="album" select="d:titre"/>
		</xsl:call-template>
	</xsl:variable>

	<p>
	<xsl:value-of select="d:titre"/><xsl:text> (sorti le : </xsl:text>
	<xsl:call-template name="formatDate">
		<xsl:with-param name="date" select="$albumDate"/>
	</xsl:call-template>
	<xsl:text>)</xsl:text>
	</p>
	
</xsl:template>


<xsl:template name="getDateDeSortie">
	<xsl:param name="album"/>
	<xsl:value-of select='//d:disque[d:titre = $album]/@d:sortie'/>
</xsl:template>


</xsl:stylesheet>