<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:d="http://iut.u-clermont1.fr/chevaldonne/disques">

  <xsl:output method="html"/>

<xsl:template match="/">
	<h1>exemple 1</h1>
	<h2>A</h2>
	<xsl:apply-templates select='d:disques'>
		<xsl:with-param name="lettre" select="'A'"/>
	</xsl:apply-templates>
	<h2>B</h2>
	<xsl:apply-templates select='d:disques'>
		<xsl:with-param name="lettre">B</xsl:with-param>
	</xsl:apply-templates>
	<h2>C</h2>
	<xsl:apply-templates select='d:disques'>
		<xsl:with-param name="lettre" select="'C'"/>
	</xsl:apply-templates>
	<h2>S</h2>
	<xsl:apply-templates select='d:disques'>
		<xsl:with-param name="lettre">S</xsl:with-param>
	</xsl:apply-templates>

	<h1>exemple 2</h1>
	<h2>A</h2>
	<xsl:apply-templates select='d:disques' mode='b'>
		<xsl:with-param name='disques' select='//d:disque[starts-with(d:titre, "A")]'/>
	</xsl:apply-templates>
	<h2>B</h2>
	<xsl:apply-templates select='d:disques' mode='b'>
		<xsl:with-param name='disques' select='//d:disque[starts-with(d:titre, "B")]'/>
	</xsl:apply-templates>
	<h2>C</h2>
	<xsl:apply-templates select='d:disques' mode='b'>
		<xsl:with-param name='disques' select='//d:disque[starts-with(d:titre, "C")]'/>
	</xsl:apply-templates>
	<h2>S</h2>
	<xsl:apply-templates select='d:disques' mode='b'>
		<xsl:with-param name='disques' select='//d:disque[starts-with(d:titre, "S")]'/>
	</xsl:apply-templates>
</xsl:template>

<xsl:template match='d:disques'>
	<xsl:param name="lettre"/>
	<ul>
		<xsl:apply-templates select='d:disque[starts-with(d:titre, $lettre)]'/>
	</ul>
</xsl:template>

<xsl:template match='d:disques' mode="b">
	<xsl:param name="disques"/>
	<ul>
		<xsl:for-each select="$disques">
			<xsl:apply-templates select='.'/>
		</xsl:for-each>
	</ul>
</xsl:template>

<xsl:template match='d:disque'>
	<li>
		<b><xsl:value-of select="d:titre"/></b>
	</li>
</xsl:template>


</xsl:stylesheet>